## org.biojava.bio.seq.io.game
Interface GAMEFeatureCallbackItf

All Known Implementing Classes:
  GAMEAnnotationHandler

public interface GAMEFeatureCallbackItf

An interface that can be tested for by nested handlers when trying to do a callback. This one handles callbacks from nested elements that determine strandedness of a nesting element.

Since:
  1.8
Author:
  David Huen

Method Summary
`void` `reportFeature(Location loc)` Allows nesting class that manages a gene template to gain information about its extent from nested elements.
`void` `reportStrand(StrandedFeature.Strand strand)`

Method Detail

### reportFeature

    public void reportFeature(Location loc)

  Allows nesting class that manages a gene template to gain information about its extent from nested elements. Strand is reported separately as some gene features may not have strand.

### reportStrand

    public void reportStrand(StrandedFeature.Strand strand)